# Ad Experience Report API

Views Ad Experience Report data, and gets a list of sites that have a significant number of annoying ads.

- [REST Resource: v1.sites](https://developers.google.com/ad-experience-report/v1/reference/rest#v1.sites)
- [REST Resource: v1.violatingSites](https://developers.google.com/ad-experience-report/v1/reference/rest#v1.violatingSites)

## Service: adexperiencereport.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://adexperiencereport.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://adexperiencereport.googleapis.com`

## REST Resource: [v1.sites](https://developers.google.com/ad-experience-report/v1/reference/rest/v1/sites)

| Methods ||
|---|---|
| `https://developers.google.com/ad-experience-report/v1/reference/rest/v1/sites/get` | `GET /v1/{name=sites/*}` Gets a site's Ad Experience Report summary. |

## REST Resource: [v1.violatingSites](https://developers.google.com/ad-experience-report/v1/reference/rest/v1/violatingSites)

| Methods ||
|---|---|
| `https://developers.google.com/ad-experience-report/v1/reference/rest/v1/violatingSites/list` | `GET /v1/violatingSites` Lists sites that are failing in the Ad Experience Report on at least one platform. |